<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_07) on Fri Feb 18 00:47:26 EST 2005 -->
<TITLE>
G-Index
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="G-Index";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../org/eclipse/wst/common/modulecore/package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-5.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-7.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-6.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">C</A> <A HREF="index-3.html">D</A> <A HREF="index-4.html">E</A> <A HREF="index-5.html">F</A> <A HREF="index-6.html">G</A> <A HREF="index-7.html">I</A> <A HREF="index-8.html">M</A> <A HREF="index-9.html">O</A> <A HREF="index-10.html">P</A> <A HREF="index-11.html">R</A> <A HREF="index-12.html">S</A> <A HREF="index-13.html">T</A> <A HREF="index-14.html">U</A> <A HREF="index-15.html">V</A> <A HREF="index-16.html">W</A> <HR>
<A NAME="_G_"><!-- --></A><H2>
<B>G</B></H2>
<DL>
<DT><A HREF="../org/eclipse/wst/common/modulecore/DependencyType.html#get(java.lang.String)"><B>get(String)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/DependencyType.html" title="class in org.eclipse.wst.common.modulecore">DependencyType</A>
<DD>Returns the '<em><b>Dependency Type</b></em>' literal with the specified name.
<DT><A HREF="../org/eclipse/wst/common/modulecore/DependencyType.html#get(int)"><B>get(int)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/DependencyType.html" title="class in org.eclipse.wst.common.modulecore">DependencyType</A>
<DD>Returns the '<em><b>Dependency Type</b></em>' literal with the specified value.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ArtifactEditModel.html#getAdapter(java.lang.Class)"><B>getAdapter(Class)</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEditModel</A>
<DD>
 Generic way to retrieve containing information, within the platform.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleStructuralModel.html#getAdapter(java.lang.Class)"><B>getAdapter(Class)</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleStructuralModel.html" title="class in org.eclipse.wst.common.modulecore">ModuleStructuralModel</A>
<DD>&nbsp;
<DT><A HREF="../org/eclipse/wst/common/modulecore/ArtifactEdit.html#getArtifactEditForRead(org.eclipse.wst.common.modulecore.WorkbenchModule)"><B>getArtifactEditForRead(WorkbenchModule)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ArtifactEdit.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEdit</A>
<DD>
 Returns an instance facade to manage the underlying edit model for the given
 <A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ArtifactEdit.html#getArtifactEditForWrite(org.eclipse.wst.common.modulecore.WorkbenchModule)"><B>getArtifactEditForWrite(WorkbenchModule)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ArtifactEdit.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEdit</A>
<DD>
 Returns an instance facade to manage the underlying edit model for the given
 <A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html#getArtifactEditModelForRead(URI, java.lang.Object)"><B>getArtifactEditModelForRead(URI, Object)</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore">ModuleCoreNature</A>
<DD>
 Returns an <A HREF="../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ArtifactEditModel</CODE></A>&nbsp; to work with the underlying content of an
 individual <A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>&nbsp; contained in the project.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html#getArtifactEditModelForWrite(URI, java.lang.Object)"><B>getArtifactEditModelForWrite(URI, Object)</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore">ModuleCoreNature</A>
<DD>
 Returns an <A HREF="../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ArtifactEditModel</CODE></A>&nbsp; to work with the underlying content of an
 individual <A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>&nbsp; contained in the project.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html#getContainingProject(URI)"><B>getContainingProject(URI)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html" title="class in org.eclipse.wst.common.modulecore">ModuleCore</A>
<DD>
 For <A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>s that are contained within a project, the containing project can
 be determined with the <A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>'s fully-qualified module URI.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ArtifactEdit.html#getContentModelRoot()"><B>getContentModelRoot()</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ArtifactEdit.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEdit</A>
<DD>
 Returns the root object for read or write access (depending on how the current ArtifactEdit was loaded).
<DT><A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html#getDependencyType()"><B>getDependencyType()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html" title="interface in org.eclipse.wst.common.modulecore">DependentModule</A>
<DD>Returns the value of the '<em><b>Dependency Type</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getDependencyType()"><B>getDependencyType()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for enum '<A HREF="../org/eclipse/wst/common/modulecore/DependencyType.html" title="class in org.eclipse.wst.common.modulecore"><CODE><em>Dependency Type</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getDependentModule()"><B>getDependentModule()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for class '<A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE><em>Dependent Module</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getDependentModule_DependencyType()"><B>getDependentModule_DependencyType()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the attribute '<A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html#getDependencyType()"><CODE><em>Dependency Type</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getDependentModule_DeployedPath()"><B>getDependentModule_DeployedPath()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the attribute '<A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html#getDeployedPath()"><CODE><em>Deployed Path</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getDependentModule_Handle()"><B>getDependentModule_Handle()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the attribute '<A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html#getHandle()"><CODE><em>Handle</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleURIUtil.html#getDeployedName(URI)"><B>getDeployedName(URI)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleURIUtil.html" title="class in org.eclipse.wst.common.modulecore">ModuleURIUtil</A>
<DD>
 A fully-qualified module URI will contain enough information to determine the deployed name
 of the module.
<DT><A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getDeployedName()"><B>getDeployedName()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModule</A>
<DD>Returns the value of the '<em><b>Deployed Name</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html#getDeployedPath()"><B>getDeployedPath()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html" title="interface in org.eclipse.wst.common.modulecore">DependentModule</A>
<DD>Returns the value of the '<em><b>Deployed Path</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html#getDeployedPath()"><B>getDeployedPath()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>
<DD>Returns the value of the '<em><b>Deployed Path</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html#getEclipseResource(org.eclipse.wst.common.modulecore.WorkbenchModuleResource)"><B>getEclipseResource(WorkbenchModuleResource)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html" title="class in org.eclipse.wst.common.modulecore">ModuleCore</A>
<DD>
 Returns the corresponding Eclipse IResource, if it can be determined, for the given
 <A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModuleResource</CODE></A>.
<DT><A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html#getExclusions()"><B>getExclusions()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>
<DD>Returns the value of the '<em><b>Exclusions</b></em>' attribute list.
<DT><A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html#getHandle()"><B>getHandle()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html" title="interface in org.eclipse.wst.common.modulecore">DependentModule</A>
<DD>Returns the value of the '
 <A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html#getHandle()"><CODE><em>Handle</em></CODE></A>'
 attribute.
<DT><A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getHandle()"><B>getHandle()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModule</A>
<DD>Returns the value of the '<em><b>Handle</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleType.html#getMetadataResources()"><B>getMetadataResources()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleType.html" title="interface in org.eclipse.wst.common.modulecore">ModuleType</A>
<DD>Returns the value of the '<em><b>Metadata Resources</b></em>' attribute list.
<DT><A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html#getModule()"><B>getModule()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>
<DD>Returns the value of the '<em><b>Module</b></em>' container reference.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getModuleCoreFactory()"><B>getModuleCoreFactory()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the factory that creates the instances of the model.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html#getModuleCoreForRead(IProject)"><B>getModuleCoreForRead(IProject)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html" title="class in org.eclipse.wst.common.modulecore">ModuleCore</A>
<DD>
 Each ModuleCore edit facade is tied to a specific project.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html#getModuleCoreForWrite(IProject)"><B>getModuleCoreForWrite(IProject)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html" title="class in org.eclipse.wst.common.modulecore">ModuleCore</A>
<DD>
 Each ModuleCore edit facade is tied to a specific project.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html#getModuleCoreNature(URI)"><B>getModuleCoreNature(URI)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html" title="class in org.eclipse.wst.common.modulecore">ModuleCore</A>
<DD>
 A convenience API to fetch the <A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ModuleCoreNature</CODE></A>&nbsp;for a particular module URI.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html#getModuleCoreNature(IProject)"><B>getModuleCoreNature(IProject)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore">ModuleCoreNature</A>
<DD>
 Find and return the ModuleCoreNature of aProject, if available.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreFactory.html#getModuleCorePackage()"><B>getModuleCorePackage()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreFactory.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCoreFactory</A>
<DD>Returns the package supported by this factory.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html#getModuleModelRoot()"><B>getModuleModelRoot()</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html" title="class in org.eclipse.wst.common.modulecore">ModuleCore</A>
<DD>
 When loaded for write, the current ModuleCore may return the root object, which can be used
 to add or remove <A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>s.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html#getModuleStructuralModelForRead(java.lang.Object)"><B>getModuleStructuralModelForRead(Object)</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore">ModuleCoreNature</A>
<DD>
 Return a <A HREF="../org/eclipse/wst/common/modulecore/ModuleStructuralModel.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ModuleStructuralModel</CODE></A>&nbsp;for read-only access.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html#getModuleStructuralModelForWrite(java.lang.Object)"><B>getModuleStructuralModelForWrite(Object)</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore">ModuleCoreNature</A>
<DD>
 Return a <A HREF="../org/eclipse/wst/common/modulecore/ModuleStructuralModel.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ModuleStructuralModel</CODE></A>&nbsp;for write access.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ArtifactEditModel.html#getModuleType()"><B>getModuleType()</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEditModel</A>
<DD>
 Uses the cached moduleURI to query ModuleCore (@see ModuleCore) for the module type this
 ArtifactEditModel represents.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getModuleType()"><B>getModuleType()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for class '<A HREF="../org/eclipse/wst/common/modulecore/ModuleType.html" title="interface in org.eclipse.wst.common.modulecore"><CODE><em>Module Type</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getModuleType()"><B>getModuleType()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModule</A>
<DD>Returns the value of the '<em><b>Module Type</b></em>' reference.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleType.html#getModuleTypeId()"><B>getModuleTypeId()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleType.html" title="interface in org.eclipse.wst.common.modulecore">ModuleType</A>
<DD>
 
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getModuleType_MetadataResources()"><B>getModuleType_MetadataResources()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the attribute list '<A HREF="../org/eclipse/wst/common/modulecore/ModuleType.html#getMetadataResources()"><CODE><em>Metadata Resources</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getModuleType_ModuleTypeId()"><B>getModuleType_ModuleTypeId()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the attribute '<A HREF="../org/eclipse/wst/common/modulecore/ModuleType.html#getModuleTypeId()"><CODE><em>Module Type Id</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ArtifactEditModel.html#getModuleURI()"><B>getModuleURI()</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEditModel</A>
<DD>&nbsp;
<DT><A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getModules()"><B>getModules()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModule</A>
<DD>Returns the value of the '<em><b>Modules</b></em>' reference list.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html#getNatureID()"><B>getNatureID()</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore">ModuleCoreNature</A>
<DD>&nbsp;
<DT><A HREF="../org/eclipse/wst/common/modulecore/ArtifactEditModel.html#getOrCreateResource(URI)"><B>getOrCreateResource(URI)</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEditModel</A>
<DD>
 Accesses resoureces within the underlying resource set.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html#getOutputContainerRoot(org.eclipse.wst.common.modulecore.WorkbenchModule)"><B>getOutputContainerRoot(WorkbenchModule)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html" title="class in org.eclipse.wst.common.modulecore">ModuleCore</A>
<DD>
 Returns a URI for the supplied <A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html#getOutputContainersForProject(IProject)"><B>getOutputContainersForProject(IProject)</B></A> - 
Static method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html" title="class in org.eclipse.wst.common.modulecore">ModuleCore</A>
<DD>
 Returns a collection of the output containers for the supplied project.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleStructuralModel.html#getPrimaryRootObject()"><B>getPrimaryRootObject()</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleStructuralModel.html" title="class in org.eclipse.wst.common.modulecore">ModuleStructuralModel</A>
<DD>&nbsp;
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getProjectModules()"><B>getProjectModules()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for class '<A HREF="../org/eclipse/wst/common/modulecore/ProjectModules.html" title="interface in org.eclipse.wst.common.modulecore"><CODE><em>Project Modules</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getProjectModules_ProjectName()"><B>getProjectModules_ProjectName()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the attribute '<A HREF="../org/eclipse/wst/common/modulecore/ProjectModules.html#getProjectName()"><CODE><em>Project Name</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getProjectModules_WorkbenchModules()"><B>getProjectModules_WorkbenchModules()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the containment reference list '<A HREF="../org/eclipse/wst/common/modulecore/ProjectModules.html#getWorkbenchModules()"><CODE><em>Workbench Modules</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ProjectModules.html#getProjectName()"><B>getProjectName()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ProjectModules.html" title="interface in org.eclipse.wst.common.modulecore">ProjectModules</A>
<DD>Returns the value of the '<em><b>Project Name</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ArtifactEditModel.html#getResource(URI)"><B>getResource(URI)</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEditModel</A>
<DD>
 Accesses resources within the underlying resource set.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html#getResourceSet()"><B>getResourceSet()</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore">ModuleCoreNature</A>
<DD>
 This method should not be invoked by clients.
<DT><A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getResources()"><B>getResources()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModule</A>
<DD>Returns the value of the '<em><b>Resources</b></em>' containment reference list.
<DT><A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html#getSourcePath()"><B>getSourcePath()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>
<DD>Returns the value of the '<em><b>Source Path</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getURI()"><B>getURI()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for data type '<CODE><em>URI</em></CODE>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModule()"><B>getWorkbenchModule()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for class '<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE><em>Workbench Module</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModuleResource()"><B>getWorkbenchModuleResource()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for class '<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore"><CODE><em>Workbench Module Resource</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModuleResource_DeployedPath()"><B>getWorkbenchModuleResource_DeployedPath()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the attribute '<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html#getDeployedPath()"><CODE><em>Deployed Path</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModuleResource_Exclusions()"><B>getWorkbenchModuleResource_Exclusions()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the attribute list '<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html#getExclusions()"><CODE><em>Exclusions</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModuleResource_Module()"><B>getWorkbenchModuleResource_Module()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the container reference '<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html#getModule()"><CODE><em>Module</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModuleResource_SourcePath()"><B>getWorkbenchModuleResource_SourcePath()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the attribute '<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html#getSourcePath()"><CODE><em>Source Path</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModule_DeployedName()"><B>getWorkbenchModule_DeployedName()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the attribute '<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getDeployedName()"><CODE><em>Deployed Name</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModule_Handle()"><B>getWorkbenchModule_Handle()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the attribute '<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getHandle()"><CODE><em>Handle</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModule_ModuleType()"><B>getWorkbenchModule_ModuleType()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the reference '<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getModuleType()"><CODE><em>Module Type</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModule_Modules()"><B>getWorkbenchModule_Modules()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the reference list '<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getModules()"><CODE><em>Modules</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModule_Resources()"><B>getWorkbenchModule_Resources()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>Returns the meta object for the containment reference list '<A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getResources()"><CODE><em>Resources</em></CODE></A>'.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html#getWorkbenchModules()"><B>getWorkbenchModules()</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html" title="class in org.eclipse.wst.common.modulecore">ModuleCore</A>
<DD>
 Clients that wish to modify the individual <A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>&nbsp;instances may use
 this method.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ProjectModules.html#getWorkbenchModules()"><B>getWorkbenchModules()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ProjectModules.html" title="interface in org.eclipse.wst.common.modulecore">ProjectModules</A>
<DD>Returns the value of the '<em><b>Workbench Modules</b></em>' containment reference list.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../org/eclipse/wst/common/modulecore/package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-5.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-7.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-6.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">C</A> <A HREF="index-3.html">D</A> <A HREF="index-4.html">E</A> <A HREF="index-5.html">F</A> <A HREF="index-6.html">G</A> <A HREF="index-7.html">I</A> <A HREF="index-8.html">M</A> <A HREF="index-9.html">O</A> <A HREF="index-10.html">P</A> <A HREF="index-11.html">R</A> <A HREF="index-12.html">S</A> <A HREF="index-13.html">T</A> <A HREF="index-14.html">U</A> <A HREF="index-15.html">V</A> <A HREF="index-16.html">W</A> <HR>

</BODY>
</HTML>
